<?xml version="1.0" encoding="utf-8"?>
<!-- Generated by PRONEXUS WORKS -->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_NotesRegardingNetSalesCostOfSalesAndGrossProfitTextBlock" xlink:label="NotesRegardingNetSalesCostOfSalesAndGrossProfitTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_OperatingRevenue1RevOA" xlink:label="OperatingRevenue1RevOA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_ProvisionOfAllowanceForDoubtfulAccountsOnSubsidiariesAndAssociatesEI" xlink:label="ProvisionOfAllowanceForDoubtfulAccountsOnSubsidiariesAndAssociatesEI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_LossOnWithdrawalOfCorporatePensionFundsEL" xlink:label="LossOnWithdrawalOfCorporatePensionFundsEL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_CurrentPortionOfConvertibleBondTypeBondsWithShareAcquisitionRightsCL" xlink:label="CurrentPortionOfConvertibleBondTypeBondsWithShareAcquisitionRightsCL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_AcountsReceivableTradeAndContractAssetsCA" xlink:label="AcountsReceivableTradeAndContractAssetsCA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_DecreaseIncreaseInNotesAndAccountsReceivableIncludingElectronicallyRecordedMonetaryClaimsAndContractAssetsOpeCF" xlink:label="DecreaseIncreaseInNotesAndAccountsReceivableIncludingElectronicallyRecordedMonetaryClaimsAndContractAssetsOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_IncreaseDecreaseInNetDefinedBenefitAssetAndLiabilityOpeCF" xlink:label="IncreaseDecreaseInNetDefinedBenefitAssetAndLiabilityOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_KakiuchiEijiMember" xlink:label="KakiuchiEijiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_HiroeToshioMember" xlink:label="HiroeToshioMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_KondoYoichiMember" xlink:label="KondoYoichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_IshikawaYoshihisaMember" xlink:label="IshikawaYoshihisaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_YodaMakotoMember" xlink:label="YodaMakotoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_TakasuHidemiMember" xlink:label="TakasuHidemiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_OkudairaHirokoMember" xlink:label="OkudairaHirokoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_OtaHirofumiMember" xlink:label="OtaHirofumiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_UmedaAkioMember" xlink:label="UmedaAkioMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_KikkawaTetsuoMember" xlink:label="KikkawaTetsuoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_YokoyamaSeijiMember" xlink:label="YokoyamaSeijiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_NumberOfConsolidatedDomesticSubsidiaries" xlink:label="NumberOfConsolidatedDomesticSubsidiaries" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_NumberOfConsolidatedOverseasSubsidiaries" xlink:label="NumberOfConsolidatedOverseasSubsidiaries" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_PerformanceLinkedCompensationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:label="PerformanceLinkedCompensationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_SpeReportableSegmentsMember" xlink:label="SpeReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_GaReportableSegmentsMember" xlink:label="GaReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_FtReportableSegmentsMember" xlink:label="FtReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_PeReportableSegmentsMember" xlink:label="PeReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" xlink:label="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:label="DisclosureOfSustainabilityRelatedFinancialInformationHeading" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:label="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_GovernanceTextBlock" xlink:label="GovernanceTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_StrategyTextBlock" xlink:label="StrategyTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:label="PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_RiskManagementTextBlock" xlink:label="RiskManagementTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_ReferenceToOtherInformationRiskManagement" xlink:label="ReferenceToOtherInformationRiskManagement" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_MetricsAndTargetsTextBlock" xlink:label="MetricsAndTargetsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_ReferenceToOtherInformationMetricsAndTargets" xlink:label="ReferenceToOtherInformationMetricsAndTargets" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:label="DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_ProceedsFromSaleOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationInvCF" xlink:label="ProceedsFromSaleOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationInvCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_RedemptionOfConvertibleBondTypeBondsWithShareAcquisitionRightsFinCF" xlink:label="RedemptionOfConvertibleBondTypeBondsWithShareAcquisitionRightsFinCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_ConversionOfConvertibleBondTypeBondsWithShareAcquisitionRights" xlink:label="ConversionOfConvertibleBondTypeBondsWithShareAcquisitionRights" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_DisposalOfTreasuryStockConversionOfConvertibleBondTypeBondsSS" xlink:label="DisposalOfTreasuryStockConversionOfConvertibleBondTypeBondsSS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_GovernanceClimateChangeTextBlock" xlink:label="GovernanceClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_StrategyClimateChangeTextBlock" xlink:label="StrategyClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_RiskManagementClimateChangeTextBlock" xlink:label="RiskManagementClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_MetricsAndTargetsClimateChangeTextBlock" xlink:label="MetricsAndTargetsClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_ReferenceToOtherInformationMetricsAndTargetsClimateChange" xlink:label="ReferenceToOtherInformationMetricsAndTargetsClimateChange" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02288-000_2023-03-31_01_2023-06-26.xsd#jpcrp030000-asr_E02288-000_NaraharaSeijiMember" xlink:label="NaraharaSeijiMember" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2022-11-01/jppfs_cor_2022-11-01.xsd#jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" xlink:label="CumulativeEffectsOfChangesInAccountingPolicies" />
    <link:label xlink:type="resource" xlink:label="label_CumulativeEffectsOfChangesInAccountingPolicies" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" id="label_CumulativeEffectsOfChangesInAccountingPolicies">Cumulative effects of changes in accounting policies</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CumulativeEffectsOfChangesInAccountingPolicies" xlink:to="label_CumulativeEffectsOfChangesInAccountingPolicies" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2022-11-01/jppfs_cor_2022-11-01.xsd#jppfs_cor_RestatedBalance" xlink:label="RestatedBalance" />
    <link:label xlink:type="resource" xlink:label="label_RestatedBalance" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" id="label_RestatedBalance">Restated balance</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RestatedBalance" xlink:to="label_RestatedBalance" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingNetSalesCostOfSalesAndGrossProfitTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesRegardingNetSalesCostOfSalesAndGrossProfitTextBlock">Notes regarding net sales, cost of sales and gross profit</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingNetSalesCostOfSalesAndGrossProfitTextBlock" xlink:to="label_NotesRegardingNetSalesCostOfSalesAndGrossProfitTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingNetSalesCostOfSalesAndGrossProfitTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesRegardingNetSalesCostOfSalesAndGrossProfitTextBlock_2">Notes regarding net sales, cost of sales and gross profit [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingNetSalesCostOfSalesAndGrossProfitTextBlock" xlink:to="label_NotesRegardingNetSalesCostOfSalesAndGrossProfitTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_IncreaseDecreaseInNetDefinedBenefitAssetAndLiabilityOpeCF" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_IncreaseDecreaseInNetDefinedBenefitAssetAndLiabilityOpeCF">Increase (decrease) in net defined benefit asset and liability</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseDecreaseInNetDefinedBenefitAssetAndLiabilityOpeCF" xlink:to="label_IncreaseDecreaseInNetDefinedBenefitAssetAndLiabilityOpeCF" />
    <link:label xlink:type="resource" xlink:label="label_IncreaseDecreaseInNetDefinedBenefitAssetAndLiabilityOpeCF_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_IncreaseDecreaseInNetDefinedBenefitAssetAndLiabilityOpeCF_2">Increase (decrease) in net defined benefit asset and liability -OpeCF</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseDecreaseInNetDefinedBenefitAssetAndLiabilityOpeCF" xlink:to="label_IncreaseDecreaseInNetDefinedBenefitAssetAndLiabilityOpeCF_2" />
    <link:label xlink:type="resource" xlink:label="label_DecreaseIncreaseInNotesAndAccountsReceivableIncludingElectronicallyRecordedMonetaryClaimsAndContractAssetsOpeCF" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DecreaseIncreaseInNotesAndAccountsReceivableIncludingElectronicallyRecordedMonetaryClaimsAndContractAssetsOpeCF">Decrease (increase) in notes and accounts receivable including electronically recorded monetary claims, and contract assets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DecreaseIncreaseInNotesAndAccountsReceivableIncludingElectronicallyRecordedMonetaryClaimsAndContractAssetsOpeCF" xlink:to="label_DecreaseIncreaseInNotesAndAccountsReceivableIncludingElectronicallyRecordedMonetaryClaimsAndContractAssetsOpeCF" />
    <link:label xlink:type="resource" xlink:label="label_DecreaseIncreaseInNotesAndAccountsReceivableIncludingElectronicallyRecordedMonetaryClaimsAndContractAssetsOpeCF_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DecreaseIncreaseInNotesAndAccountsReceivableIncludingElectronicallyRecordedMonetaryClaimsAndContractAssetsOpeCF_2">Decrease (increase) in notes and accounts receivable including electronically recorded monetary claims, and contract assets-OpeCF</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DecreaseIncreaseInNotesAndAccountsReceivableIncludingElectronicallyRecordedMonetaryClaimsAndContractAssetsOpeCF" xlink:to="label_DecreaseIncreaseInNotesAndAccountsReceivableIncludingElectronicallyRecordedMonetaryClaimsAndContractAssetsOpeCF_2" />
    <link:label xlink:type="resource" xlink:label="label_ProceedsFromSaleOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationInvCF" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ProceedsFromSaleOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationInvCF">Proceeds from sale of shares of subsidiaries resulting in change in scope of consolidation</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromSaleOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationInvCF" xlink:to="label_ProceedsFromSaleOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationInvCF" />
    <link:label xlink:type="resource" xlink:label="label_ProceedsFromSaleOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationInvCF_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ProceedsFromSaleOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationInvCF_2">Proceeds from sale of shares of subsidiaries resulting in change in scope of consolidation -InvCF</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromSaleOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationInvCF" xlink:to="label_ProceedsFromSaleOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationInvCF_2" />
    <link:label xlink:type="resource" xlink:label="label_RedemptionOfConvertibleBondTypeBondsWithShareAcquisitionRightsFinCF" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RedemptionOfConvertibleBondTypeBondsWithShareAcquisitionRightsFinCF">Redemption of convertible bond-type bonds with share acquisition rights</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RedemptionOfConvertibleBondTypeBondsWithShareAcquisitionRightsFinCF" xlink:to="label_RedemptionOfConvertibleBondTypeBondsWithShareAcquisitionRightsFinCF" />
    <link:label xlink:type="resource" xlink:label="label_RedemptionOfConvertibleBondTypeBondsWithShareAcquisitionRightsFinCF_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RedemptionOfConvertibleBondTypeBondsWithShareAcquisitionRightsFinCF_2">Redemption of convertible bond-type bonds with share acquisition rights -FinCF</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RedemptionOfConvertibleBondTypeBondsWithShareAcquisitionRightsFinCF" xlink:to="label_RedemptionOfConvertibleBondTypeBondsWithShareAcquisitionRightsFinCF_2" />
    <link:label xlink:type="resource" xlink:label="label_OperatingRevenue1RevOA" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OperatingRevenue1RevOA">Operating revenue</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OperatingRevenue1RevOA" xlink:to="label_OperatingRevenue1RevOA" />
    <link:label xlink:type="resource" xlink:label="label_OperatingRevenue1RevOA_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OperatingRevenue1RevOA_2">Operating revenue-1-RevOA</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OperatingRevenue1RevOA" xlink:to="label_OperatingRevenue1RevOA_2" />
    <link:label xlink:type="resource" xlink:label="label_ProvisionOfAllowanceForDoubtfulAccountsOnSubsidiariesAndAssociatesEI" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ProvisionOfAllowanceForDoubtfulAccountsOnSubsidiariesAndAssociatesEI">Provision of allowance for doubtful accounts on subsidiaries and associates</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionOfAllowanceForDoubtfulAccountsOnSubsidiariesAndAssociatesEI" xlink:to="label_ProvisionOfAllowanceForDoubtfulAccountsOnSubsidiariesAndAssociatesEI" />
    <link:label xlink:type="resource" xlink:label="label_ProvisionOfAllowanceForDoubtfulAccountsOnSubsidiariesAndAssociatesEI_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ProvisionOfAllowanceForDoubtfulAccountsOnSubsidiariesAndAssociatesEI_2">Provision of allowance for doubtful accounts on subsidiaries and associates-EI</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionOfAllowanceForDoubtfulAccountsOnSubsidiariesAndAssociatesEI" xlink:to="label_ProvisionOfAllowanceForDoubtfulAccountsOnSubsidiariesAndAssociatesEI_2" />
    <link:label xlink:type="resource" xlink:label="label_LossOnWithdrawalOfCorporatePensionFundsEL" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_LossOnWithdrawalOfCorporatePensionFundsEL">Loss on withdrawal of corporate pension funds</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LossOnWithdrawalOfCorporatePensionFundsEL" xlink:to="label_LossOnWithdrawalOfCorporatePensionFundsEL" />
    <link:label xlink:type="resource" xlink:label="label_LossOnWithdrawalOfCorporatePensionFundsEL_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_LossOnWithdrawalOfCorporatePensionFundsEL_2">Loss on withdrawal of corporate pension funds -EL</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LossOnWithdrawalOfCorporatePensionFundsEL" xlink:to="label_LossOnWithdrawalOfCorporatePensionFundsEL_2" />
    <link:label xlink:type="resource" xlink:label="label_AcountsReceivableTradeAndContractAssetsCA_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_AcountsReceivableTradeAndContractAssetsCA_2">Acounts receivable - trade and contract assets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AcountsReceivableTradeAndContractAssetsCA" xlink:to="label_AcountsReceivableTradeAndContractAssetsCA_2" />
    <link:label xlink:type="resource" xlink:label="label_AcountsReceivableTradeAndContractAssetsCA" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_AcountsReceivableTradeAndContractAssetsCA">Acounts receivable - trade and contract assets-CA</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AcountsReceivableTradeAndContractAssetsCA" xlink:to="label_AcountsReceivableTradeAndContractAssetsCA" />
    <link:label xlink:type="resource" xlink:label="label_CurrentPortionOfConvertibleBondTypeBondsWithShareAcquisitionRightsCL" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_CurrentPortionOfConvertibleBondTypeBondsWithShareAcquisitionRightsCL">Current portion of convertible bond-type bonds with share acquisition rights</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentPortionOfConvertibleBondTypeBondsWithShareAcquisitionRightsCL" xlink:to="label_CurrentPortionOfConvertibleBondTypeBondsWithShareAcquisitionRightsCL" />
    <link:label xlink:type="resource" xlink:label="label_CurrentPortionOfConvertibleBondTypeBondsWithShareAcquisitionRightsCL_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_CurrentPortionOfConvertibleBondTypeBondsWithShareAcquisitionRightsCL_2">Current portion of convertible bond-type bonds with share acquisition rights -CL</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentPortionOfConvertibleBondTypeBondsWithShareAcquisitionRightsCL" xlink:to="label_CurrentPortionOfConvertibleBondTypeBondsWithShareAcquisitionRightsCL_2" />
    <link:label xlink:type="resource" xlink:label="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany">Purpose of shareholding, overview of business alliance, quantitative effects of shareholding and reason for increase in number of shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" xlink:to="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" />
    <link:label xlink:type="resource" xlink:label="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany_2">Purpose of shareholding, overview of business alliance, quantitative effects of shareholding and reason for increase in number of shares, Details of specified investment shares held for purposes other than pure investment, Reporting company</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" xlink:to="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany_2" />
    <link:label xlink:type="resource" xlink:label="label_NumberOfConsolidatedDomesticSubsidiaries" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NumberOfConsolidatedDomesticSubsidiaries">Number of consolidated domestic subsidiaries</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NumberOfConsolidatedDomesticSubsidiaries" xlink:to="label_NumberOfConsolidatedDomesticSubsidiaries" />
    <link:label xlink:type="resource" xlink:label="label_NumberOfConsolidatedDomesticSubsidiaries_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NumberOfConsolidatedDomesticSubsidiaries_2">Number of consolidated domestic subsidiaries</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NumberOfConsolidatedDomesticSubsidiaries" xlink:to="label_NumberOfConsolidatedDomesticSubsidiaries_2" />
    <link:label xlink:type="resource" xlink:label="label_NumberOfConsolidatedOverseasSubsidiaries" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NumberOfConsolidatedOverseasSubsidiaries">Number of consolidated overseas subsidiaries</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NumberOfConsolidatedOverseasSubsidiaries" xlink:to="label_NumberOfConsolidatedOverseasSubsidiaries" />
    <link:label xlink:type="resource" xlink:label="label_NumberOfConsolidatedOverseasSubsidiaries_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NumberOfConsolidatedOverseasSubsidiaries_2">Number of consolidated overseas subsidiaries</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NumberOfConsolidatedOverseasSubsidiaries" xlink:to="label_NumberOfConsolidatedOverseasSubsidiaries_2" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2">Disclosure of Sustainability-related Financial Information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading">Disclosure of Sustainability-related Financial Information [heading]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2">Disclosure of Sustainability-related Financial Information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock">Disclosure of Sustainability-related Financial Information [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_GovernanceTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_GovernanceTextBlock_2">Governance</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernanceTextBlock" xlink:to="label_GovernanceTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_GovernanceTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_GovernanceTextBlock">Governance [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernanceTextBlock" xlink:to="label_GovernanceTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_StrategyTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_StrategyTextBlock_2">Strategy</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyTextBlock" xlink:to="label_StrategyTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_StrategyTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_StrategyTextBlock">Strategy [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyTextBlock" xlink:to="label_StrategyTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_2">Policy on human resource development and improvement of internal environment</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:to="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock">Policy on human resource development and improvement of internal environment, Strategy [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:to="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_RiskManagementTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RiskManagementTextBlock_2">Risk management</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiskManagementTextBlock" xlink:to="label_RiskManagementTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_RiskManagementTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RiskManagementTextBlock">Risk management [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiskManagementTextBlock" xlink:to="label_RiskManagementTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationRiskManagement_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformationRiskManagement_2">Reference to other information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationRiskManagement" xlink:to="label_ReferenceToOtherInformationRiskManagement_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationRiskManagement" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformationRiskManagement">Reference to other information, Risk management</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationRiskManagement" xlink:to="label_ReferenceToOtherInformationRiskManagement" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MetricsAndTargetsTextBlock_2">Metrics and targets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsTextBlock" xlink:to="label_MetricsAndTargetsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MetricsAndTargetsTextBlock">Metrics and targets [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsTextBlock" xlink:to="label_MetricsAndTargetsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationMetricsAndTargets_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformationMetricsAndTargets_2">Reference to other information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationMetricsAndTargets" xlink:to="label_ReferenceToOtherInformationMetricsAndTargets_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationMetricsAndTargets" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformationMetricsAndTargets">Reference to other information, Metrics and targets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationMetricsAndTargets" xlink:to="label_ReferenceToOtherInformationMetricsAndTargets" />
    <link:label xlink:type="resource" xlink:label="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_2">Description of metrics related to policy on human resource development and improvement of internal environment, and targets and results using such metrics</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:to="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock">Description of metrics related to policy on human resource development and improvement of internal environment, and targets and results using such metrics, Metrics and targets [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:to="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_GovernanceClimateChangeTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_GovernanceClimateChangeTextBlock_2">Governance, Climate change</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernanceClimateChangeTextBlock" xlink:to="label_GovernanceClimateChangeTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_GovernanceClimateChangeTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_GovernanceClimateChangeTextBlock">Governance, Climate change [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernanceClimateChangeTextBlock" xlink:to="label_GovernanceClimateChangeTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_StrategyClimateChangeTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_StrategyClimateChangeTextBlock_2">Strategy, Climate change</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyClimateChangeTextBlock" xlink:to="label_StrategyClimateChangeTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_StrategyClimateChangeTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_StrategyClimateChangeTextBlock">Strategy, Climate change [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyClimateChangeTextBlock" xlink:to="label_StrategyClimateChangeTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_RiskManagementClimateChangeTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RiskManagementClimateChangeTextBlock_2">Risk management, Climate change</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiskManagementClimateChangeTextBlock" xlink:to="label_RiskManagementClimateChangeTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_RiskManagementClimateChangeTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RiskManagementClimateChangeTextBlock">Risk management, Climate change [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiskManagementClimateChangeTextBlock" xlink:to="label_RiskManagementClimateChangeTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsClimateChangeTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MetricsAndTargetsClimateChangeTextBlock_2">Metrics and targets, Climate change</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsClimateChangeTextBlock" xlink:to="label_MetricsAndTargetsClimateChangeTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsClimateChangeTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MetricsAndTargetsClimateChangeTextBlock">Metrics and targets, Climate change [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsClimateChangeTextBlock" xlink:to="label_MetricsAndTargetsClimateChangeTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationMetricsAndTargetsClimateChange_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformationMetricsAndTargetsClimateChange_2">Reference to other information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationMetricsAndTargetsClimateChange" xlink:to="label_ReferenceToOtherInformationMetricsAndTargetsClimateChange_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationMetricsAndTargetsClimateChange" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformationMetricsAndTargetsClimateChange">Reference to other information, Metrics and targets, Climate change</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationMetricsAndTargetsClimateChange" xlink:to="label_ReferenceToOtherInformationMetricsAndTargetsClimateChange" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockConversionOfConvertibleBondTypeBondsSS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DisposalOfTreasuryStockConversionOfConvertibleBondTypeBondsSS_2">Disposal of treasury stock Conversion of convertible bond-type bonds</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockConversionOfConvertibleBondTypeBondsSS" xlink:to="label_DisposalOfTreasuryStockConversionOfConvertibleBondTypeBondsSS_2" />
    <link:label xlink:type="resource" xlink:label="label_DisposalOfTreasuryStockConversionOfConvertibleBondTypeBondsSS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DisposalOfTreasuryStockConversionOfConvertibleBondTypeBondsSS">Disposal of treasury stock Conversion of convertible bond-type bonds-SS</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisposalOfTreasuryStockConversionOfConvertibleBondTypeBondsSS" xlink:to="label_DisposalOfTreasuryStockConversionOfConvertibleBondTypeBondsSS" />
    <link:label xlink:type="resource" xlink:label="label_ConversionOfConvertibleBondTypeBondsWithShareAcquisitionRights" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ConversionOfConvertibleBondTypeBondsWithShareAcquisitionRights">Conversion of convertible bond-type bonds with share acquisition rights</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ConversionOfConvertibleBondTypeBondsWithShareAcquisitionRights" xlink:to="label_ConversionOfConvertibleBondTypeBondsWithShareAcquisitionRights" />
    <link:label xlink:type="resource" xlink:label="label_ConversionOfConvertibleBondTypeBondsWithShareAcquisitionRights_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ConversionOfConvertibleBondTypeBondsWithShareAcquisitionRights_2">Conversion of convertible bond-type bonds with share acquisition rights</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ConversionOfConvertibleBondTypeBondsWithShareAcquisitionRights" xlink:to="label_ConversionOfConvertibleBondTypeBondsWithShareAcquisitionRights_2" />
    <link:label xlink:type="resource" xlink:label="label_SpeReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_SpeReportableSegmentsMember">Spe</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SpeReportableSegmentsMember" xlink:to="label_SpeReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_SpeReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_SpeReportableSegmentsMember_2">Spe, Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SpeReportableSegmentsMember" xlink:to="label_SpeReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_GaReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_GaReportableSegmentsMember">Ga</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GaReportableSegmentsMember" xlink:to="label_GaReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_GaReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_GaReportableSegmentsMember_2">Ga, Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GaReportableSegmentsMember" xlink:to="label_GaReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_FtReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_FtReportableSegmentsMember">Ft</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FtReportableSegmentsMember" xlink:to="label_FtReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_FtReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_FtReportableSegmentsMember_2">Ft, Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FtReportableSegmentsMember" xlink:to="label_FtReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_PeReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PeReportableSegmentsMember">Pe</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PeReportableSegmentsMember" xlink:to="label_PeReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_PeReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PeReportableSegmentsMember_2">Pe,Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PeReportableSegmentsMember" xlink:to="label_PeReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_PerformanceLinkedCompensationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PerformanceLinkedCompensationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers">Performance-linked compensation</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PerformanceLinkedCompensationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:to="label_PerformanceLinkedCompensationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" />
    <link:label xlink:type="resource" xlink:label="label_PerformanceLinkedCompensationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PerformanceLinkedCompensationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_2">Performance-linked compensation, Remuneration, etc. by category of directors (and other officers)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PerformanceLinkedCompensationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:to="label_PerformanceLinkedCompensationRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_2" />
    <link:label xlink:type="resource" xlink:label="label_KakiuchiEijiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KakiuchiEijiMember">Kakiuchi, Eiji [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KakiuchiEijiMember" xlink:to="label_KakiuchiEijiMember" />
    <link:label xlink:type="resource" xlink:label="label_KakiuchiEijiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KakiuchiEijiMember_2">Kakiuchi, Eiji</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KakiuchiEijiMember" xlink:to="label_KakiuchiEijiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_HiroeToshioMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_HiroeToshioMember">Hiroe, Toshio [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HiroeToshioMember" xlink:to="label_HiroeToshioMember" />
    <link:label xlink:type="resource" xlink:label="label_HiroeToshioMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_HiroeToshioMember_2">Hiroe, Toshio</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HiroeToshioMember" xlink:to="label_HiroeToshioMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KondoYoichiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KondoYoichiMember">Kondo, Yoichi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KondoYoichiMember" xlink:to="label_KondoYoichiMember" />
    <link:label xlink:type="resource" xlink:label="label_KondoYoichiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KondoYoichiMember_2">Kondo, Yoichi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KondoYoichiMember" xlink:to="label_KondoYoichiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_IshikawaYoshihisaMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_IshikawaYoshihisaMember_2">Ishikawa, Yoshihisa</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IshikawaYoshihisaMember" xlink:to="label_IshikawaYoshihisaMember_2" />
    <link:label xlink:type="resource" xlink:label="label_IshikawaYoshihisaMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_IshikawaYoshihisaMember">Ishikawa, Yoshihisa [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IshikawaYoshihisaMember" xlink:to="label_IshikawaYoshihisaMember" />
    <link:label xlink:type="resource" xlink:label="label_YodaMakotoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_YodaMakotoMember">Yoda, Makoto [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="YodaMakotoMember" xlink:to="label_YodaMakotoMember" />
    <link:label xlink:type="resource" xlink:label="label_YodaMakotoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_YodaMakotoMember_2">Yoda, Makoto</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="YodaMakotoMember" xlink:to="label_YodaMakotoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_TakasuHidemiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TakasuHidemiMember">Takasu, Hidemi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TakasuHidemiMember" xlink:to="label_TakasuHidemiMember" />
    <link:label xlink:type="resource" xlink:label="label_TakasuHidemiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TakasuHidemiMember_2">Takasu, Hidemi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TakasuHidemiMember" xlink:to="label_TakasuHidemiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_OkudairaHirokoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OkudairaHirokoMember">Okudaira, Hiroko [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OkudairaHirokoMember" xlink:to="label_OkudairaHirokoMember" />
    <link:label xlink:type="resource" xlink:label="label_OkudairaHirokoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OkudairaHirokoMember_2">Okudaira, Hiroko</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OkudairaHirokoMember" xlink:to="label_OkudairaHirokoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_NaraharaSeijiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NaraharaSeijiMember">Narahara, Seiji</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NaraharaSeijiMember" xlink:to="label_NaraharaSeijiMember" />
    <link:label xlink:type="resource" xlink:label="label_NaraharaSeijiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NaraharaSeijiMember_2">Narahara, Seiji [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NaraharaSeijiMember" xlink:to="label_NaraharaSeijiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_OtaHirofumiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OtaHirofumiMember">Ota, Hirofumi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtaHirofumiMember" xlink:to="label_OtaHirofumiMember" />
    <link:label xlink:type="resource" xlink:label="label_OtaHirofumiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OtaHirofumiMember_2">Ota, Hirofumi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtaHirofumiMember" xlink:to="label_OtaHirofumiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_UmedaAkioMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_UmedaAkioMember">Umeda, Akio [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="UmedaAkioMember" xlink:to="label_UmedaAkioMember" />
    <link:label xlink:type="resource" xlink:label="label_UmedaAkioMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_UmedaAkioMember_2">Umeda, Akio</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="UmedaAkioMember" xlink:to="label_UmedaAkioMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KikkawaTetsuoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KikkawaTetsuoMember">Kikkawa, Tetsuo</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KikkawaTetsuoMember" xlink:to="label_KikkawaTetsuoMember" />
    <link:label xlink:type="resource" xlink:label="label_KikkawaTetsuoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KikkawaTetsuoMember_2">Kikkawa, Tetsuo [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KikkawaTetsuoMember" xlink:to="label_KikkawaTetsuoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_YokoyamaSeijiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_YokoyamaSeijiMember">Yokoyama, Seiji</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="YokoyamaSeijiMember" xlink:to="label_YokoyamaSeijiMember" />
    <link:label xlink:type="resource" xlink:label="label_YokoyamaSeijiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_YokoyamaSeijiMember_2">Yokoyama, Seiji [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="YokoyamaSeijiMember" xlink:to="label_YokoyamaSeijiMember_2" />
  </link:labelLink>
</link:linkbase>